// ANOwithSTL.cpp : Defines the entry point for the console application.
// Copyright (c) 2014 by David Wincelberg
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"

#include <iostream>
#include <set>
#include <string>

#include "SANOCompare.h"


int main()
{
	// Creates the multiset object with alphanumeric ordering.
	std::multiset<std::string, CSANOCompare> strSet;

	// Populates the multiset with values.
	strSet.insert("File10");
	strSet.insert("File1");
	strSet.insert("File2");

	// Displays the contents of the multiset.
	std::cout << "Contents of multiset: " << std::endl;
	std::multiset<std::string, CSANOCompare>::iterator iter;

	for (iter = strSet.begin(); iter != strSet.end(); ++iter) {
		std::cout << *iter << std::endl;
	}
	std::cout << std::endl;

	char cPause[10];
	std::cout<< std::endl << "Press enter to close this program." << std::endl;
	std::cin.getline (cPause, 10);

	return 0;
}
