// SANOCompare.h: interface for the CSANOCompare class.
// Copyright (c) 2014 by David Wincelberg
//////////////////////////////////////////////////////////////////////

// Put the following two lines into StdAfx.h (if needed):
// warning: identifier was truncated to '255' characters in the debug information
// #pragma warning (disable: 4786)

#pragma once

#include <string>
using std::string;


class CSANOCompare  
{
public:
	CSANOCompare();
	virtual ~CSANOCompare();

	bool operator() (const string s1, const string s2) const;

private:
	int SimpleANCompare (const char *pszName1, const char *pszName2) const;
	int SimpleANCompare (string str1, string str2) const;
	int stoi (string::iterator pos, string::iterator end,
		string::iterator &after) const;
};
